Mac OS Catalina

Joined
Nov 26, 2017
Location
Frankfurt/Germany
I just got a new Macbook with Catalina installed.
Now I need to update Xcode, since the old version doesn't work.
I already downloaded the newest Cerberus version.

Questions:

- Will it work, compile and run my apps rom before?
- If I compile them new, will they still work on other older Macs?

I'm confused about this new 64bit thing.
I have 3 important apps that are running on MacMinis now, and maybe I need to change something, so I'm wondering if this will work if I code on the new Macbook and compile.

Thanks.
FYI I'm very good at game design but not very familiar with the technical side, since I'm only coding a few games sometimes, not every month.
 

MikeHart

Administrator
Joined
Jun 19, 2017
Location
Germany
I have no experience about older Macs and apps compiled on Catalina. 64bit is nothing new on OSX. With Catalina, it is only a requirement now.
 

Jimmy

Active Member
Tutorial Author
Joined
Jan 2, 2020
I can try compile and run on Catalina and an old macOS when the next version of Cerberus-X comes out. I have an old version right now that is not allowed inside Catalina.
 

Jimmy

Active Member
Tutorial Author
Joined
Jan 2, 2020
Hi and sorry about the delay. Older versions of Cerberus-X executables will also run perfectly on Catalina!
So does executables made from Monkey V86e (Trans V1.87 Ted V1.26 QT_VERSION 0x050500).
 
Top Bottom